description = "" 
output_type = "audio"
speaker = ""
gender = "f"
travel_mode = "1"
language = "Chinese (Taiwan)"
marc_code = "cht"
language_id = "29"
id = "29000"
config_file = "taiwanese_chinese_f/config.lua"
audio_files_path = "taiwanese_chinese_f/taiwanese_female"
audio_files_version = "0.2.0.2011082301"
client_range = "[client >= 1.3.15.0 ; client < 1.4.6.0 ]"

down = 1
up = 2

maneuver_turns = {
    ["NO_TURN"] = {"g5man_001e", "g5man_001"},
    ["KEEP_MIDDLE"] = {"g5man_009e", "g5man_009"},
    ["KEEP_RIGHT"] = {"g5tur_001e", "g5tur_001"},
    ["LIGHT_RIGHT"] = {"g5tur_002e", "g5tur_002"},
    ["QUITE_RIGHT"] = {"g5tur_003e", "g5tur_003"},
    ["HEAVY_RIGHT"] = {"g5tur_004e", "g5tur_004"},
    ["RETURN"] = {"g5man_004ae", "g5man_004a"},
    ["HEAVY_LEFT"] = {"g5tul_004e", "g5tul_004"},
    ["QUITE_LEFT"] = {"g5tul_003e", "g5tul_003"},
    ["LIGHT_LEFT"] = {"g5tul_002e", "g5tul_002"},
    ["KEEP_LEFT"] = {"g5tul_001e", "g5tul_001"},
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}

maneuver_check = {
    ["END"] = {"g5ann_003", "g5ann_003"},                          -- "you will reached your destination"
    ["STOPOVER"] = {"g5ann_002e_alt2", "g5ann_002e_alt2"},         -- You will reached a stopover
    ["JUNCTION"] = {nil, nil},                                     -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = {nil, nil},                                -- the junction
    ["ROUNDABOUT"] = {"g5mod_005", "g5mod_005"},                   -- At the roundabout
    ["EXIT_ROUNDABOUT"] = {"g5ext_000e", "g5ext_000"},             -- take the exit
    ["UTURN"] = {"g5man_004ae", "g5man_004a"},                     -- Make a uturn
    ["ENTER_HIGHWAY"] = {"g5man_005e", "g5man_005"},
    ["LEAVE_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},               -- take the exit
    ["CHANGE_HIGHWAY"] = {"g5man_006e", "g5man_006"},
    ["CONTINUE_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},
    ["ENTER_URBAN_HIGHWAY"] = {"g5man_005e", "g5man_005"},
    ["LEAVE_URBAN_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},         -- take the exit
    ["CHANGE_URBAN_HIGHWAY"] = {"g5man_006e", "g5man_006"},
    ["CONTINUE_URBAN_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},
    ["DRIVE_TO_NEAREST_ROAD"] = {"g5serv_001", "g5serv_001"},      -- drive to nearest road 
    ["FERRY"] = {"g5serv_006", "g5serv_006"}
}

exit_number_check = {
    [1] = {"g5ext_001e","g5ext_001"},                   -- take the first exit
    [2] = {"g5ext_002e","g5ext_002"},                   -- take the second exit
    [3] = {"g5ext_003e","g5ext_003"},                   -- take the third exit
    [4] = {"g5ext_004e","g5ext_004"},                   -- take the fourth exit
    [5] = {"g5ext_005e","g5ext_005"},                   -- take the fifth exit
    [6] = {"g5ext_006e","g5ext_006"},                   -- take the sixth exit
    [7] = {"g5ext_007e","g5ext_007"},                   -- take the seventh exit
    [8] = {"g5ext_008e","g5ext_008"},                   -- take the eighth exit
    [9] = {"g5ext_009e","g5ext_009"},                   -- take the ninth exit
    [10] = {"g5ext_010e","g5ext_010"},                  -- take the tenth exit
    [11] = {"g5ext_011e","g5ext_011"},                  -- take the eleventh exit
    [12] = {"g5ext_012e","g5ext_012"}                   -- take the twelth exit
}

-- numbers used for miles and yards
distances = {
    [50] = "g5num_050",     -- fifty 
    [100] = "g5num_100",    -- hundred 
    [150] = "g5num_150",
    [200] = "g5num_200",
    [250] = "g5num_250",
    [300] = "g5num_300",
    [400] = "g5num_400",
    [500] = "g5num_500",
    [600] = "g5num_600",
    [700] = "g5num_700",
    [800] = "g5num_800",
    [900] = "g5num_900",
    [1] = "g5num_001",      
    [2] = "g5num_002",      
    [3] = "g5num_003",      
    [4] = "g5num_004",
    [5] = "g5num_005",
    [6] = "g5num_006",
    [7] = "g5num_007",
    [8] = "g5num_008",
    [9] = "g5num_009",
    [10] = "g5num_010"
}

-- (numbers + unit) used for meters and kiometers
distances_metric = {
    [50] = "g5num_050_m",     -- fifty meters
    [100] = "g5num_100_m",    -- hundred meters
    [150] = "g5num_150_m",    -- hundred fifty
    [200] = "g5num_200_m",
    [250] = "g5num_200_m",
    [300] = "g5num_300_m",
    [400] = "g5num_400_m",
    [500] = "g5num_500_m",
    [600] = "g5num_600_m",
    [700] = "g5num_700_m",
    [800] = "g5num_800_m",
    [900] = "g5num_900_m",
    [1] = "g5num_001km",    -- one kilometer
    [2] = "g5num_002vkm",   -- two kilometers
    [3] = "g5num_003km",    -- three kilometers
    [4] = "g5num_004km",
    [5] = "g5num_005km",
    [6] = "g5num_006km",
    [7] = "g5num_007km",
    [8] = "g5num_008km",
    [9] = "g5num_009km",
    [10] = "g5num_010km"
}

unit = {                                    -- Intonation down, intonation up
    ["MILE"] = {nil, "g5unt_008"},
    ["YARDS"] = {nil, "g5unt_006"},
    ["KILOMETER"] = {nil, nil},
    ["METERS"] = {nil, nil},
    ["METER"] = {nil, nil},
    ["KILOMETERS"] = {nil, nil},
    ["MILES"] = {"g5unt_008e","g5unt_008"},
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}

misc = { 
    ["beep_sound"] = "beep",
    ["gps_signal_lost_wav"] = "g5war_016",
    ["gps_signal_restored_wav"] = "g5war_011",
    ["no_gps_signal_wav"] = "g5war_015",
    ["route_recalculation_wav"] = "g5war_013",
    ["now_wav"] = "g5mod_006",
    ["destination_wav"] = "g5ann_001_01",
    ["stopover_wav"] = "g5ann_002e",
    ["end_of_street_wav"] = "g5mod_004",
    ["follow_hwy_wav"] = "g5man_008e",
    ["follow_road_e_wav"] = "g5man_002e",
    ["follow_road_wav"] = "g5man_002",
    ["roundabout_wav"] = "g5mod_005",
    ["after_wav"] = "g5pre_003",
    ["the_junction_wav"] = "g5mod_016",
    ["second_right_wav"] = "g5take_second_right_e",
    ["second_left_wav"] = "g5take_second_left_e",  
    ["safety_camara_ahead_wav"] = "g5war_035e",
    ["over_speed_limit_wav"] = "g5war_005e",
    ["immediately_wav"] = "g5immediately",
    ["traffic_automatic_detour_wav"] = "g5war_018e",
    ["traffic_manual_detour_wav"] = "g5war_017e",
    ["and_then_wav"] = "g5pre_005"
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }

check_files = { maneuver_turns, maneuver_check, exit_number_check, distances, distances_metric, unit, misc }